<template>
  <div class="bg-white dark:bg-gray-900 text-gray-900 dark:text-white">
    <!-- Header -->
    <app-main-header />
    <!-- Main page content -->
    <main>
      <NuxtPage />
    </main>
    <app-main-footer />
  </div>
</template>

<script setup>
import AppMainHeader from '@/components/MainHeader.vue';
import AppMainFooter from '@/components/MainFooter.vue';
import useUserStore from '@/stores/user';

const userStore = useUserStore();

onMounted(() => {
  userStore.initializeListener();
});
</script>
